#ifndef KYDOCTOR_CRYPT_H
#define KYDOCTOR_CRYPT_H

extern unsigned char *kydoctor_encrypt(const unsigned char *in, int in_len, unsigned int *out_len,
                       const unsigned char *key, const unsigned char *iv);
extern unsigned char *kydoctor_decrypt(const unsigned char *in, int in_len, unsigned int *out_len,
                       const unsigned char *key, const unsigned char *iv);
extern void printBuf(const unsigned char *buf, unsigned int len);

#endif //KYDOCTOR_CRYPT_H